summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2011-08-01 15:30:50 +0200
committerMichael Vogt <michael.vogt@ubuntu.com>2011-08-01 15:30:50 +0200
commitf96bcef72c47ab32f4742da2673a12b3a47d8367 (patch)
tree671e533c88e15554d175c3c0c8897faf14a2415d /test
parentcfba1fd82dde4d73c8856c50e2f9c8ca57af0a56 (diff)
parent7ca05341380434ae9e557d16d1ae88d133f0490c (diff)
merged from the debian-sid branch
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-bug-633350-do-not-kill-last-char-in-Release27
1 files changed, 27 insertions, 0 deletions
diff --git a/test/integration/test-bug-633350-do-not-kill-last-char-in-Release b/test/integration/test-bug-633350-do-not-kill-last-char-in-Release
new file mode 100755
index 000000000..3d3835507
--- /dev/null
+++ b/test/integration/test-bug-633350-do-not-kill-last-char-in-Release
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'unstable' 'cool' 'amd64' '1.0'
+
+setupaptarchive 2> /dev/null
+
+echo 'NotAutomatic: yes' >> aptarchive/dists/unstable/Release
+
+signreleasefiles
+find aptarchive/dists -name 'InRelease' -delete
+
+rm -rf rootdir/var/lib/apt/lists rootdir/var/cache/apt
+
+OUTPUT="$(aptget update 2>&1)"
+msgtest 'Check that parsing happens without warnings' 'with missing newline'
+if echo "${OUTPUT}" | grep '^W:' > /dev/null; then
+ msgfail
+ echo "${OUTPUT}"
+else
+ msgpass
+fi